---
description: |
  The `packer plugins install` command manually downloads and installs Packer plugins without having to update and initialize a build template. 
page_title: packer plugins install command reference
---

# `packer plugins install` command reference

The `packer plugins install` command downloads and installs the most recent version of a plugin binary. Refer to [Installing Plugins](/packer/docs/plugins/install) for additional information about installing plugins.

## Description

Use the `packer plugins install` command to manually install plugins instead of specifying plugins in a template and initializing Packer. Refer to the [`packer init` command documentation](/packer/docs/commands/init) for information about installing plugins specified in a Packer template during initialization.

### Third-party plugin verification

HashiCorp only verifies plugins from GitHub under the`hashicorp/*` namespace. We recommend that you vet and verify any third-party plugins you want to install.

### Installation directory

By default, Packer installs plugins into the plugins directory at `$HOME/.config/packer/plugins` on Unix and `%APPDATA%\packer.d\plugins` on Windows, but you can specify a different directory using the `PACKER_PLUGIN_PATH environment variable. 
Plugin installation requires access to temporary files under `TMPDIR`. If the system's temp directory is non-writable or non-executable, use TMPDIR to override the location of the temporary file store used by Packer.
Refer to the [Packer configuration reference](/packer/docs/configure) for additional information.

## Usage

Use the following syntax to run the `packer plugins install` command:

## Examples

Specify a version number to install a specific version of the plugin. The following example installs the version `1.0.1` of `my-plugin` from a remote source:

```shell-session
$ packer plugins install github.com/hashicorp/my-plugin 1.0.1
```

Use the `--path` option to specify a local plugin binary. The following example installs `my-plugin` from a local binary:

```shell-session
$ packer plugins install --path my-plugin github.com/hashicorp/my-plugin
```

## Arguments

You can pass the following arguments:

- `<plugin-binary-source>`: A remote source where the plugin binary is available. To remotely download from a source, the plugin must be hosted on GitHub. For locally-sourced binaries, you must also include the `--path` option. Refer to [Installing Plugins](/packer/docs/plugins/install) for additional information about installing plugins.
- `<plugin version>`: A specific version of the plugin to download and install. Packer accepts semantic version numbers that follow the `<major>.<minor>.<patch>` format. If omitted, the command installs the latest plugin version.

## Options

You can use the following options:

`--path`: Use this option to specify a local plugin binary. You must use this option to install plugins from a local source.
`--force`: Use this option to force Packer to reinstall the plugin.

